Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.globes
Class EllipsoidalGlobe

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.globes.EllipsoidalGlobe

All Implemented Interfaces:
  AVList, Extent, Globe, WWObject, PropertyChangeListener, EventListener

Direct Known Subclasses:
  Earth

    public class EllipsoidalGlobe

extends WWObjectImpl
implements Globe

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`EllipsoidalGlobe(double equatorialRadius, double polarRadius, double es, ElevationModel em)`

Method Summary
`Point` | `computePointFromPosition(Angle latitude, Angle longitude, double metersElevation)`
`Point` | `computePointFromPosition(Position position)`
`Position` | `computePositionFromPoint(Point point)`
`Point` | `computeSurfaceNormalAtPoint(Point p)`
`boolean` | `equals(Object o)`
`Point` | `getCenter()`
`double` | `getDiameter()`
`double` | `getEccentricitySquared()`
`double` | `getElevation(Angle latitude, Angle longitude)`
`ElevationModel` | `getElevationModel()`
`double` | `getEquatorialRadius()`
`Extent` | `getExtent()`
`Position` | `getIntersectionPosition(Line line)`
`double` | `getMaxElevation()`
`double` | `getMaximumRadius()`
`double` | `getMinElevation()`
`double` | `getPolarRadius()`
`double` | `getRadius()`
`double` | `getRadiusAt(Angle latitude, Angle longitude)`
`int` | `hashCode()`
`Intersection[]` | `intersect(Line line)` Obtain the intersections of this extent with `line`.
`boolean` | `intersects(Frustum frustum)` Tests whether or not this `Extent` intersects `frustum`.
`boolean` | `intersects(Line line)` Calculate whether or not `line` intersects this `Extent`.
`boolean` | `intersects(Plane plane)` Calculate whether or not this `Extent` is intersected by `plane`.

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### EllipsoidalGlobe

    public EllipsoidalGlobe(double equatorialRadius,
                            double polarRadius,
                            double es,
                            ElevationModel em)

Method Detail

### computePointFromPosition

    public final Point computePointFromPosition(Angle latitude,
                                                Angle longitude,
                                                double metersElevation)

  Specified by:
    `computePointFromPosition` in interface `Globe`

### computePointFromPosition

    public final Point computePointFromPosition(Position position)

  Specified by:
    `computePointFromPosition` in interface `Globe`

### computePositionFromPoint

    public final Position computePositionFromPoint(Point point)

  Specified by:
    `computePositionFromPoint` in interface `Globe`

### computeSurfaceNormalAtPoint

    public Point computeSurfaceNormalAtPoint(Point p)

  Specified by:
    `computeSurfaceNormalAtPoint` in interface `Globe`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getCenter

    public final Point getCenter()

  Specified by:
    `getCenter` in interface `Extent`

### getDiameter

    public final double getDiameter()

  Specified by:
    `getDiameter` in interface `Extent`

### getEccentricitySquared

    public double getEccentricitySquared()

  Specified by:
    `getEccentricitySquared` in interface `Globe`

### getElevation

    public final double getElevation(Angle latitude,
                                     Angle longitude)

  Specified by:
    `getElevation` in interface `Globe`

### getElevationModel

    public final ElevationModel getElevationModel()

  Specified by:
    `getElevationModel` in interface `Globe`

### getEquatorialRadius

    public final double getEquatorialRadius()

  Specified by:
    `getEquatorialRadius` in interface `Globe`

### getExtent

    public final Extent getExtent()

  Specified by:
    `getExtent` in interface `Globe`

### getIntersectionPosition

    public final Position getIntersectionPosition(Line line)

  Specified by:
    `getIntersectionPosition` in interface `Globe`

### getMaxElevation

    public double getMaxElevation()

  Specified by:
    `getMaxElevation` in interface `Globe`

### getMaximumRadius

    public double getMaximumRadius()

  Specified by:
    `getMaximumRadius` in interface `Globe`

### getMinElevation

    public double getMinElevation()

  Specified by:
    `getMinElevation` in interface `Globe`

### getPolarRadius

    public final double getPolarRadius()

  Specified by:
    `getPolarRadius` in interface `Globe`

### getRadius

    public final double getRadius()

  Specified by:
    `getRadius` in interface `Extent`

### getRadiusAt

    public double getRadiusAt(Angle latitude,
                              Angle longitude)

  Specified by:
    `getRadiusAt` in interface `Globe`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### intersect

    public Intersection[] intersect(Line line)

  Description copied from interface: `Extent`
  Obtain the intersections of this extent with `line`. The returned array may be either null or of zero length if no intersections are discovered. It does not contain null elements. Tangential intersections are marked as such. `line` is considered to have infinite length in both directions.

  Specified by:
    `intersect` in interface `Extent`
  Parameters:
    `line` - the `Line` with which to intersect this `Extent`
  Returns:
    an array of intersections representing all the points where `line` enters or leave this `Extent`

### intersects

    public boolean intersects(Frustum frustum)

  Description copied from interface: `Extent`
  Tests whether or not this `Extent` intersects `frustum`. Returns true if any part of these two objects intersect, including the case where either object wholly contains the other, false otherwise.

  Specified by:
    `intersects` in interface `Extent`
  Parameters:
    `frustum` - the `Frustum` with which to test for intersection
  Returns:
    true if there is an intersection, false otherwise

### intersects

    public boolean intersects(Line line)

  Description copied from interface: `Extent`
  Calculate whether or not `line` intersects this `Extent`. This method may be faster than checking the size of the arary returned by `intersect(Line)`. Implementing methods must ensure that this method returns true if and only if `intersect(Line)` returns a non-null array containing at least one element.

  Specified by:
    `intersects` in interface `Extent`
  Parameters:
    `line` - the `Line` with which to test for intersection
  Returns:
    true if an intersection is found, false otherwise

### intersects

    public boolean intersects(Plane plane)

  Description copied from interface: `Extent`
  Calculate whether or not this `Extent` is intersected by `plane`.

  Specified by:
    `intersects` in interface `Extent`
  Parameters:
    `plane` - the `Plane` with which to test for intersection
  Returns:
    true if `plane` is found to intersect this `Extent`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD